Subject: RE: Community Input Sought on SOWs for RFC Production Center and RFC Publisher

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 16 Aug 2013 22:47:25 +0100

Hi Ray,

Thanks for the reminder.

Meta-nit
The document seems unsure whether to say "Internet Draft" or "Internet-Draft".

---

Nits:
Para 2 
> The RPC is one of the distinct components of the RFC Editor. The primary
> responsibility for the RPC is to edit approved Internet Drafts to a consistent
> high level of quality as described by the RFC Style Manual.

1. I don't believe the RPC edits Internet Drafts. The purpose, it seems to me,
is to edit the text of Internet Drafts to create RFCs.
It would be correct to say "edits RFCs", but I can see people's toes curling. 
So say "exit the text of approved Internet Drafts".

2. s/consistent/consistently/

---

Nit:
1.1.1
What is "formal grammar" and how does it differ from "grammar"?

---

1.1.1

> Editing
> shall be accomplished in accordance with the current 'RFC Style Manual'
> maintained by the RSE . The Style Manual specification now in use will be
> used by the RPC until replaced.

I can see what is being attempted here, but it hasn't achieved it!
I think you want

The RSE maintains the 'RFC Style Manual'. The RPC shall edit in accordance with
the version of the RFC Style Manual current at the time of editing.

---

1.1.2

> Maintain a tracking system for edits, and ensure that changes are signed
> off by all authors and that any technical changes are approved by an
> authorized stream representative, except when exceptions are requested by
> the relevant stream and approved by the RSE.

"except where exceptions" is clumsy, but there is a bigger problem in that there
is an implication in the way that this is written that technical changes can be
made without sign-off by a representative of the stream if somehow requested by
the stream. I think that what was being attempted was the ability to handle
absent authors (e.g. during AUTH-48).  I suggest...

Maintain a tracking system for edits, and ensure that changes are signed-off by
all authors except when the need for sign-off is waived by an authorized
representative of the relevant stream and approved by the RSE. Also ensure that
that any technical changes are approved by an authorized representative of the
relevant stream.

---

1.2
What is the "IETF standards stream"?
Text should maybe read:
For standards track documents in the IETF stream

---

Nits
1.3
> The RPC should validate the syntax of sections of documents containing formal
> languages. In particular ASN.1 (and particularly MIBs and MIB-related
details),

s/languages/language/
s/particular/particular,/
s/MIBs/MIB modules/

---

1.5
While it is much tidier, the text "the relevant individuals" provides no clear
guidance to the RPC. How is the RPC supposed to know who constitutes a relevant
individual in order to allow or disallow their requested change?

---

1.10
I can see why "At the discretion of the RSE" would apply to 1.10.2.
It seems a bit harsh to apply it to 1.10.1. Can the RSE really tell the RPC to
not participate in these discussions?

---

Isn't 6.1.1 now in the Style Guide and covered by 9.3?

---

Nit
9.1 appears to have too many "when requested"

---

9.2
"when requested" and "regular" seem to be in conflict.

---

9.3.1

Do you mean "RFC Publisher web site" or "RFC Editor website"
cf. section 5 and 10.3

---

Nit
"authors" appears in 10.4.1.2 and 10.4.1.3

---

10.5.1
"continuously" or "continually"?

---

10.6
IANAL
This text appears to say that the RPC must take direction from the IAOC if it
receives a subpoena.
I am surprised that this can be placed in a SOW that will form the basis of a
contract.

---

Cheers,
Adrian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Ray
> Pelletier
> Sent: 16 August 2013 19:48
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked];
[email-masked];
> [email-masked]; IETF Announcement List
> Subject: Re: Community Input Sought on SOWs for RFC Production Center and
> RFC Publisher
> 
> All;
> 
> Are there any more comments on the SOWs?
> 
> This item will be on the IAOC agenda for its call on 22 August.
> 
> Ray
> 
> On Aug 12, 2013, at 5:54 PM, IETF Administrative Director wrote:
> 
> > The RFC Series Editor (RSE) is proposing changes to the Statements of Work
> (SOW) for the RFC
> > Production Center (RPC) and the RFC Publisher.  The IAOC wants to receive
> community input prior to
> > negotiating the proposed changes with the contractor.  Community input will
> be discussed with the RSE
> > prior to negotiations and reviewed by the IAOC.
> >
> > In forwarding the proposed Statements of Work the RSE said:  "The changes
> seek to make the SoWs
> > more current [implementing RFC 6635] and specific, correcting the issues of
> "multiple masters"
> > directing the RPC and Publisher, as well as preparing the way for a more
> significant revision to the SoWs
> > when the RFC Format changes are operationalized.  The SoWs have also been
> reviewed and supported
> > by the RSOC [RFC Series Oversight Committee].  We consider the changes
> within the SoWs critical to the
> > clear function of the RPC and Publisher, but suggest that the changes do not
> imply a significant change
> > in responsibility for the RPC or Publisher."
> >
> > The proposed SOWs, the current SOWs and a diff file for each can be found
> here under Community
> > Review: <http://iaoc.ietf.org/rfps.html>
> >
> > We appreciate the community's input and look forward to hearing from you.
> >
> > Thanks
> >
> > Ray Pelletier
> > IAD